Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
PersonalizeCloud Portal
Sitecore Personalize developer documentation
  • Developing with Sitecore Personalize
    • Base URL
    • Response codes
        • Create a connection
        • Retrieve connections
        • Retrieve a connection
        • Update a connection
        • Test a connection
  1. REST API Connection
  1. Sitecore Personalize developer documentation
  2. REST APIs

Retrieve a connection

GET /v2/connections/<connectionRef>

Retrieves a connection.

AttributeTypeDescriptionExample
connectionRefstringThe reference of the connection.

If you do not know the connection reference, first retrieve connections.
47c20b31-b5d8-492f-94e5-064958716c21

The response is an object that contains the connection. You can use this object to test the connection.

curl -X GET '<baseURL>/v2/connections/47c20b31-b5d8-492f-94e5-064958716c21' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'
{
    "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
    "href": "<baseURL>/v2/connections/47c20b31-b5d8-492f-94e5-064958716c21",
    "ref": "47c20b31-b5d8-492f-94e5-064958716c21",
    "name": "Weather Data System",
    "description": "Weather Data System",
    "modifiedByRef": "bfe5bd9a-f37b-4b9d-a3e4-169674d251ea",
    "modifiedAt": "2026-01-30T22:`02:23`.401Z",
    "revision": 1,
    "archived": false,
    "auth": {
        "authType": "NONE"
    },
    "request": {
        "requestType": "POST",
        "connectionUrl": "https://example.com/api/1.0/messages/send.json",
        "requestBody": "{\"key\":\"${key}\",\"message\":\"${message}\"}"
    },
    "exampleValue": "{\"key\":\"RkeVXoh0NB5K8nGUH-Ew7w\",\"message\":{\"text\":\"Some text\",\"subject\":\"Connection!\",\"from_email\":\"support@sitecore.com\",\"from_name\":\"Sitecore\",\"to\":[{\"email\":\"email@sitecore.com\",\"name\":\"firstName\",\"type\":\"to\"}]}}",
    "inputMappings": [
        {
            "label": "Key",
            "key": "key",
            "type": "string",
            "exampleValue": "RkeVXoh0NB5K8nGUH-Ew7w",
            "mapping": ""
        },
        {
            "label": "Message",
            "key": "message",
            "type": "object",
            "exampleValue": "{\"text\":\"Some text\",\"subject\":\"Connection!\",\"from_email\":\"support@sitecore.com\",\"from_name\":\"Sitecore\",\"to\":[{\"email\":\"email@sitecore.com\",\"name\":\"firstName\",\"type\":\"to\"}]}",
            "mapping": ""
        }
    ],
    "outputMappings": [],
    "customHeaders": [
        {
            "name": "Accept",
            "value": "application/json"
        },
        {
            "name": "Accept-Encoding",
            "value": "gzip"
        },
        {
            "name": "Content-Type",
            "value": "application/json"
        }
    ],
    "urlParameters": [],
    "systemType": "DESTINATION",
    "connectionTimeout": 1000,
    "socketTimeout": 1000,
    "icon": "assets/images/channel-images/email.svg"
}
If you have suggestions for improving this article, let us know!

© Copyright , Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use
PersonalizeCloud Portal